#MapaGeneracion {
    height: 100%;
    width: 100vw;
    position: relative;
    font-family: var(--font-family);
}
.lblSubtitle{
    font-size: .96rem !important;
    font-weight: 600 !important;
}
#mapTitle{
    position: absolute;
    text-align: Center;
    background-color: rgba(247,206,118,0.3);
    z-index: 1000;
    top: 104px;
    right: 30%;
    left: 30%;
    padding-top: 5px;
    border-radius: 5px;
    -webkit-box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.16), 0px 3px 6px rgba(0, 0, 0, 0.23);
    box-shadow: 0px 3px 6px rgba(0 ,0, 0, 0.16), 0px 3px 6px rgba(0, 0, 0, 0.23);
}
#lblDateTime {
    font-size: .85rem !important;
    font-weight: bold !important;
}

.title-lable-circle{
    width:15px; 
    height: 15px; 
    border-radius:50%;
}
.title-lable-circle-black{
    background-color:#000000;  border-color:#000000;
}
.title-lable-circle-green{
    background-color:#009624;  border-color:#009624;
}
.title-lable-circle-blue{
    background-color:#004c8c;  border-color:#004c8c;
}


#mapTitle p{
    color: var(--color-primario);
    font-size: 1rem;
    font-weight: 600;
    margin:0;
}
#mapTitle label{
    color: var(--color-primario);
    font-size: 1rem;
    font-weight: 400;
}

#sidebar-panelMap{
    display: flex;
    height: 70vh !important;
    border-color:rgba(247,206,118,0.4) !important;
}

.clsetiqueta {
    font-family: var(--font-family);
    font-size: 16px;
    height:auto;
}
.leaflet-control-container  .leaflet-routing-container-hide {
    display : none ;
}
.leaflet-popup-close-button {
    display:none;
}
.cls-name-subestacion{
    flex-direction: column;
    margin-top: -40px !important;
    background: #E3F2FD;
    cursor:pointer;
    font-size: 9px;
    font-family: var(--font-family);
}
.cls-name-subestacion label{
    cursor: pointer;
}
.hide-label {
    display: none;
}
.show-label {
    display: block;
}
/*Custom checkbox*/
.customcheckbox input[type="checkbox"] {
   position: absolute;
   left: -9999px;
}
.customcheckbox input[type="checkbox"] + label{
    position: relative; 
    padding:  3px 0 0 40px;
    padding-left: 50px; 
    opacity: 0.9;
    font-size: 14px;
    cursor: pointer;
}
.customcheckbox input[type="checkbox"] + label:before{
    content: '';
    background: #fff;
    border: 2px solid #1565C0;
    border-radius: 3px;
    height: 25px;
    width: 25px;
    margin-left:20px;
    position: absolute;
    top:0;
    left:0;

}
.customcheckbox input[type="checkbox"] + label:after{
    content: '';
    border-style: solid;
    border-width: 0 0 2px 2px;
    border-color: transparent transparent #1565C0 #1565C0;
    width: 15px;
    height: 8px;
    position: absolute;
    top:6px;
    left:5px;
    opacity: 0;
    margin-left:20px;
    transform: scale(2) rotate(-45deg);
    transition: transform 0.3s linear,opacity 0.3s linear;
}
.customcheckbox input[type="checkbox"]:checked + label:after{
    opacity: 1;
    transform: scale(1) rotate(-45deg);
}

/*Custom Select*/
.customselect select {
    width: 100%;
    height: 35px;
    background: none;
    border: none;
    -webkit-appearance: none;
    padding: 0 30px 0 20px;
    cursor: pointer;
    text-indent: 5px;
}
.customselect option{
    font: Arial, Helvetica, sans-serif;
    font-weight:500;
    color:#37474F;
}

.customselect .select {
   position: relative;
   border-radius: 5px;
   background: #fff;
   border:1px solid #E0E0E0;
   cursor:pointer;
   font-size: 0.8rem;
}
.customselect option:hover{
    background-color: #263366 !important;
    color:#FFFFFF;
}
.customselect .select:before{
    content: '';
    background: #263366;
    border-top-right-radius: 5px;
    border-bottom-right-radius:5px; 
    position: absolute;
    top:0;
    bottom:0;
    right: 0;
    width: 40px;
    pointer-events: none;
}
.customselect .select:after{
    content: "";
    width: 0;
    height: 0;
    border-radius: 10px;
    border-style: solid;
    border-width: 10px 10px 0;
     border-color: #fff transparent transparent transparent;
    position:absolute;
    top: 40%;
    right: 0;
    transform: translate(-50%)
}


.wrapper{
    width: 90%;
    margin: 10px auto 0;
}
.select-btn, .options li{
    display: flex;
    cursor: pointer;
    align-items: center;
}
.select-btn{
    height: 45px;
    border-style: solid;
    border-width: 1px;
    border: 1px solid #b3b3b3;
    cursor: pointer;
    font-size: 0.8rem;
    display: flex;
    padding: 0 20px;
    border-radius: 5px;
    background: #FFF;
    justify-content: space-between;
}
.icon-down{
    font-size: 0.8rem;
    transition: transform 0.3s linear !important;
}
.wrapper.active .icon-down{
    transform: rotate(-180deg) !important;
}
.content{
    padding: 10px;
    margin-top: 15px;
    border-radius: 5px;
    display: none;
    background: #FFF;
    border-style: solid;
    border-width: 1px;
    border-color:#999;
}
.wrapper.active .content{
    display: block;
}
.content .search{
   position: relative; 
}
.icon-search{
  position: absolute !important; 
  color: #999;
  width: 15px;
  height: 15px;
  top: 30% !important; 
  left: 20px !important;
}
.search input{
    height: 40px;
    width: 100%;
    outline: none;
    font-size: 0.85rem;
    padding: 0 15px 0 43px;
    border: 1px solid #b3b3b3;
    border-radius: 5px;
}
.content .options{
    font-size: 0.85rem;
    margin-top: 10px;
    max-height: 250px;
    overflow-y: auto;
    padding: 0;
}
.options li{
    font-size: 0.85rem;
    height: 30px;
    padding-left: 5px;
    border-radius: 5px;
}
.options li:hover{
    background: #f2f2f2;
}
.options::-webkit-scrollbar{
    width: 10px;
}
.options::-webkit-scrollbar-track{
    background: #f1f1f1;
    border-radius:25px;
}
.options::-webkit-scrollbar-thumb{
    background: #80a1d6;
    border-radius: 25px;
}

.leaflet-sidebar-header{
    height: 20px;
    padding: 0 0px;
    padding-left: 0px; 
    line-height: 40px;
}
.leaflet-sidebar {
   top:114px;
   opacity: 0.5;
   width: 440px;
   height: 50vh;
   border-radius: 10px;
   -webkit-transition: width 2s; /* For Safari 3.1 to 6.0 */
   transition: width 2s;
   background-color: rgba(247,206,118,0.4) !important;
}
.leaflet-sidebar:hover{
   opacity: 1;
   -webkit-transition: width 2s; /* For Safari 3.1 to 6.0 */
   transition: width 2s;
}
.leaflet-sidebar-pane{
    font-family: var(--font-family) !important;
}

.lbl-title{
    font-size: medium;
    font:bold;
    color: var(--color-primario)
}

.lbl-tension{
    border-style: solid;
    width: 80%;
    height: 40%;
}

.t-230k{
    border-color: blue;
    background-color: blue;
    border-radius: 3px;
    position: relative;
    top: 8px;
}

.t-138k{
    border-color: orange;
    background-color: orange;
    border-radius: 3px;
    position: relative;
    top: 8px;
}

.t-69k{
    border-color: #B666D2;
    background-color:#B666D2;
    border-radius: 3px;
    position: relative;
    top: 8px;
}
 
.CTA g{
    fill:red;
}
.svg-inline--fa fa-gear{
    display: none !important;
}


@media  (max-width: 1540px){
    body{
      font-size: 13px;
    }
   
  }
  
  @media (max-width: 1180px){
    body{
      font-size: 12px;
    }
      
  }
  
  @media (max-width: 975px){
    body{
      font-size: 13px;
    }
    #mapTitle{
        left: 10%;
        right: 10%;
    }
    #mapTitle p{
        font-size: 0.75rem;
    }
    .lblSubtitle{
        font-size: .70rem !important;
        padding-left: 5px;
    }
    .leaflet-sidebar{
        width: 380px;
    }
    
  }
  
